<?php
/*
Simple:Press
Name plugin install/upgrade routine
$LastChangedDate: 2013-02-17 13:33:06 -0700 (Sun, 17 Feb 2013) $
$Rev: 9858 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_report_post_do_upgrade_check() {
    $options = sp_get_option('report-post');
    if (empty($options)) return;

    $db = $options['dbversion'];
    if (empty($db)) $db = 0;

    # quick bail check
    if ($db == SPRPDBVERSION ) return;

    # apply upgrades as needed

    # db version upgrades
    if ($db < 1) {
	   spdb_query('UPDATE '.SFAUTHS." SET auth_cat=7 WHERE auth_name='report_posts'");
    }

    # save data
    $options['dbversion'] = SPRPDBVERSION;
    sp_update_option('report-post', $options);
}

?>