<?php
/*
Simple:Press
Report Post plugin install routine
$LastChangedDate: 2013-03-18 06:47:04 -0700 (Mon, 18 Mar 2013) $
$Rev: 10090 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_report_post_do_install() {
	$option = sp_get_option('report-post');
	if (empty($option)) {
		$option['email-list'] = get_option('admin_email');
		$option['dbversion'] = SPRPDBVERSION;
		sp_add_option('report-post', $option);
    }

    # add a new permission into the auths table
	sp_add_auth('report_posts', __('Can report a post to administrators', 'sp-report'), 1, 0, 0, 0, 1);

    # activation so make our auth active
    sp_activate_auth('report_posts');

	# flush rewrite rules for pretty permalinks
	global $wp_rewrite;
	$wp_rewrite->flush_rules();
}

function sp_report_post_do_reset_permissions() {
	sp_add_auth('report_posts', __('Can report a post to administrators', 'sp-report'), 1, 0, 0, 0, 1);
}
?>